Skip to content

Recovery Options

POST
/api/auth/recovery/options
curl --request POST \
--url https://agentauthority.org/api/auth/recovery/options \
--header 'Content-Type: application/json' \
--data '{ "recovery_id": "example" }'
Media typeapplication/json
RecoveryOptions
object
recovery_id
required
Recovery Id
string

Example generated

{
"recovery_id": "example"
}

Successful Response

Media typeapplication/json

Example generated

example

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object

Example generated

{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}